/*
 * Copyright 2022-2023 Sensaru GmbH
 */

#ifndef LIBC1_MODULE_SRC_ACL_ACLCOMMON_H_
#define LIBC1_MODULE_SRC_ACL_ACLCOMMON_H_

#include <string>
#include <stdexcept>

namespace C1Module {

enum class AclMethodAccessType {
  kNoAccess = 0,
  kRead = 1,
  kWrite = 2,
  kEvent = 4,
  kAdmin = 8
};

enum class AclBool {
  kUndefined = -1,
  kFalse = 0,
  kTrue = 1
};

class AclException : public std::runtime_error {
 private:
 public:
  explicit AclException(const std::string &message) : std::runtime_error(message) {}
};

class AclParserException : public AclException {
 private:
 public:
  explicit AclParserException(const std::string &message) : AclException(message) {}
};

}

#endif //LIBC1_MODULE_SRC_ACL_ACLCOMMON_H_
